
  type tMaterialRGBA
  ==================
  float vals
  =
  float ambient[4],diffuse[4],specular[4],shininess
  end type

  class materials
  ==================
  has tMaterialRGBA      '
  int tex 'texture number or 0
  '
  method act()
  material vals
  if tex
    glBindTexture GL_TEXTURE_2D,tex
  end if
  end method
  '
  method standard()
  ambient   = { .15,.15,.20,1.0 }
  diffuse   = { .70,.70,.60,1.0 }
  specular  = { .00,.00,.10,1.0 }
  shininess =   .00
  end method
  '
  end class

  'SMOOTH MATERIALS

  materials _
  WhiteMaterial,RedMaterial,
  WhiteShinyMaterial,BlackShinyMaterial,,RedShinyMaterial,GreenShinyMaterial,BlueShinyMaterial,
  GoldMaterial,BrassMaterial,SilverMaterial,BronzeMaterial,CopperMaterial,SteelMaterial,AlloyMaterial

  'WhiteMaterial.standard
  '
  int glos=1024, metl=5
  ============================================================================================
  'Material                    Ambient           Diffuse           Specular          Shininess
  ============================================================================================
  WhiteMaterial.vals        <= .15,.15,.20,1.0,  .70,.70,.60,1.0,  .00,.00,.10,1.0,  0.0
  RedMaterial.vals          <= .15,.10,.00,1.0,  .65,.00,.00,1.0,  .00,.00,.10,1.0,  0.0

  WhiteShinyMaterial.vals   <= .15,.15,.15,1.0,  .55,.55,.55,1.0,  .90,.90,.90,1.0,  glos
  BlackShinyMaterial.vals   <= .05,.05,.00,1.0,  .00,.00,.00,1.0,  .90,.90,.90,1.0,  glos
  RedShinyMaterial.vals     <= .15,.00,.00,1.0,  .55,.00,.00,1.0,  .90,.90,.90,1.0,  glos
  GreenShinyMaterial.vals   <= .00,.15,.00,1.0,  .00,.55,.00,1.0,  .90,.90,.90,1.0,  glos
  BlueShinyMaterial.vals    <= .00,.00,.15,1.0,  .00,.00,.55,1.0,  .90,.90,.90,1.0,  glos

  SteelMaterial.vals        <= .05,.05,.00,1.0,  .00,.00,.00,1.0,  .50,.40,.50,1.0,  metl
  BronzeMaterial.vals       <= .05,.06,.00,1.0,  .00,.00,.00,1.0,  .60,.50,.10,1.0,  10.0
  CopperMaterial.vals       <= .05,.05,.00,1.0,  .00,.00,.00,1.0,  .75,.45,.10,1.0,  metl
  BrassMaterial.vals        <= .10,.10,.00,1.0,  .60,.20,.00,1.0,  .99,.99,.00,1.0,  20.0
  SilverMaterial.vals       <= .10,.10,.10,1.0,  .00,.00,.00,1.0,  .99,.99,.99,1.0,  metl
  GoldMaterial.vals         <= .10,.10,.00,1.0,  .00,.00,.00,1.0,  .99,.80,.00,1.0,  metl

  AlloyMaterial.vals        <= .15,.15,.10,1.0,  .00,.00,.00,1.0,  .60,.60,.50,1.0,  metl



